docs

# GetUpdates

data class GetUpdates ( val offset: UpdateIdentifier ? = null, val limit: Int = getUpdatesLimit.last, val timeout: Seconds ? = null, val allowed_updates: List < String >? = ALL_UPDATES_LIST) : SimpleRequest < List < Update >>
Content copied to clipboard

Request updates from Telegram Bot API system. It is important, that the result updates WILL NOT include dev.inmo.tgbotapi.types.update.MediaGroupUpdates.MediaGroupUpdate objects due to the fact, that it is internal abstraction and in fact any dev.inmo.tgbotapi.types.message.abstracts.MediaGroupMessage is just a common dev.inmo.tgbotapi.types.message.abstracts.Message

## See also

dev.inmo.tgbotapi.extensions.utils.updates.retrieving.updateHandlerWithMediaGroupsAdaptation
dev.inmo.tgbotapi.utils.convertWithMediaGroupUpdates

## Constructors

GetUpdates
Link copied to clipboard
fun GetUpdates ( offset: UpdateIdentifier ? = null, limit: Int = getUpdatesLimit.last, timeout: Seconds ? = null, allowed_updates: List < String >? = ALL_UPDATES_LIST)
Content copied to clipboard

## Functions

method
Link copied to clipboard
open override fun method (): String
Content copied to clipboard

## Properties

allowed_updates
Link copied to clipboard
val allowed_updates : List < String >?
Content copied to clipboard
limit
Link copied to clipboard
val limit : Int
Content copied to clipboard
offset
Link copied to clipboard
val offset : UpdateIdentifier ? = null
Content copied to clipboard
requestSerializer
Link copied to clipboard
open override val requestSerializer : SerializationStrategy<*>
Content copied to clipboard
resultDeserializer
Link copied to clipboard
open override val resultDeserializer : DeserializationStrategy< List < Update >>
Content copied to clipboard
timeout
Link copied to clipboard
val timeout : Seconds ? = null
Content copied to clipboard